Cancel batch file processing
Cancels an in-progress file batch operation.
Documentation Index
Fetch the complete documentation index at: https://docs.mka1.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Path Parameters
The ID of the vector store that the file batch belongs to.
The ID of the file batch to cancel.
Response
OK
A batch of files attached to a vector store.
The identifier, which can be referenced in API endpoints.
The object type, which is always 'vector_store.file_batch'.
The Unix timestamp (in seconds) for when the vector store files batch was created.
-9007199254740991 <= x <= 9007199254740991The ID of the vector store that the File is attached to.
The status of the vector store files batch. 'in_progress' means files are being processed, 'completed' means all files have been processed, 'cancelled' means the batch was cancelled, 'failed' means the batch failed.
in_progress, completed, cancelled, failed File processing status counts.